### Enumeration

# WebKit FindOptions

unstable since: 6.0

#### Declaration

    flags WebKit.FindOptions

#### Description [src]

Enum values used to specify search options.

Available since: 6.0

#### Members

`WEBKIT_FIND_OPTIONS_NONE`

  No search flags, this means a case sensitive, no wrap, forward only search.

  - Value: `0`
  - Nickname: `none`
  - Available since: 6.0
`WEBKIT_FIND_OPTIONS_CASE_INSENSITIVE`

  Case insensitive search.

  - Value: `1`
  - Nickname: `case-insensitive`
  - Available since: 6.0
`WEBKIT_FIND_OPTIONS_AT_WORD_STARTS`

  Search text only at the begining of the words.

  - Value: `2`
  - Nickname: `at-word-starts`
  - Available since: 6.0
`WEBKIT_FIND_OPTIONS_TREAT_MEDIAL_CAPITAL_AS_WORD_START`

  Treat capital letters in the middle of words as word start.

  - Value: `4`
  - Nickname: `treat-medial-capital-as-word-start`
  - Available since: 6.0
`WEBKIT_FIND_OPTIONS_BACKWARDS`

  Search backwards.

  - Value: `8`
  - Nickname: `backwards`
  - Available since: 6.0
`WEBKIT_FIND_OPTIONS_WRAP_AROUND`

  If not present search will stop at the end of the document.

  - Value: `16`
  - Nickname: `wrap-around`
  - Available since: 6.0